## org.eclipse.amp.amf.testing.ares
Interface AresPackage.Literals

Enclosing interface:
  AresPackage

    public static interface AresPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `CONSTRAINT_TEST` The meta object literal for the '`Constraint Test`' class.
`static org.eclipse.emf.ecore.EAttribute` `CONSTRAINT_TEST__ACTUAL_VALUE` The meta object literal for the 'Actual Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` `CONSTRAINT_TEST__CONSTRAINT` The meta object literal for the 'Constraint' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CONSTRAINT_TEST__FAILURE` The meta object literal for the 'Failure' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CONSTRAINT_TEST__ISSUE` The meta object literal for the 'Issue' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `ISSUE` The meta object literal for the '`Issue`' enum.
`static org.eclipse.emf.ecore.EEnum` `RESULT_TYPE` The meta object literal for the '`Result Type`' enum.
`static org.eclipse.emf.ecore.EClass` `RUN` The meta object literal for the '`Run`' class.
`static org.eclipse.emf.ecore.EReference` `RUN__CONSTRAINTS` The meta object literal for the 'Constraints' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `RUN__FINISHED` The meta object literal for the 'Finished' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RUN__MODEL` The meta object literal for the 'Model' reference feature.
`static org.eclipse.emf.ecore.EReference` `RUN__PARAMETERIZATION` The meta object literal for the 'Parameterization' reference feature.
`static org.eclipse.emf.ecore.EReference` `RUN__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `RUN__RESULT` The meta object literal for the 'Result' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RUN__RESULTS` The meta object literal for the 'Results' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `RUN__STARTED` The meta object literal for the 'Started' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RUN__TEST` The meta object literal for the 'Test' reference feature.
`static org.eclipse.emf.ecore.EClass` `RUN_SET` The meta object literal for the '`Run Set`' class.
`static org.eclipse.emf.ecore.EAttribute` `RUN_SET__FINISHED` The meta object literal for the 'Finished' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `RUN_SET__RESULT` The meta object literal for the 'Result' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RUN_SET__RUNS` The meta object literal for the 'Runs' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `RUN_SET__STARTED` The meta object literal for the 'Started' attribute feature.

Field Detail

### RUN

    static final org.eclipse.emf.ecore.EClass RUN

  The meta object literal for the '`Run`' class.

  See Also:
    `RunImpl`, `AresPackageImpl.getRun()`

### RUN__MODEL

    static final org.eclipse.emf.ecore.EReference RUN__MODEL

  The meta object literal for the 'Model' reference feature.

### RUN__TEST

    static final org.eclipse.emf.ecore.EReference RUN__TEST

  The meta object literal for the 'Test' reference feature.

### RUN__PARAMETERIZATION

    static final org.eclipse.emf.ecore.EReference RUN__PARAMETERIZATION

  The meta object literal for the 'Parameterization' reference feature.

### RUN__RESULT

    static final org.eclipse.emf.ecore.EAttribute RUN__RESULT

  The meta object literal for the 'Result' attribute feature.

### RUN__PARAMETERS

    static final org.eclipse.emf.ecore.EReference RUN__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### RUN__CONSTRAINTS

    static final org.eclipse.emf.ecore.EReference RUN__CONSTRAINTS

  The meta object literal for the 'Constraints' containment reference list feature.

### RUN__STARTED

    static final org.eclipse.emf.ecore.EAttribute RUN__STARTED

  The meta object literal for the 'Started' attribute feature.

### RUN__FINISHED

    static final org.eclipse.emf.ecore.EAttribute RUN__FINISHED

  The meta object literal for the 'Finished' attribute feature.

### RUN__RESULTS

    static final org.eclipse.emf.ecore.EReference RUN__RESULTS

  The meta object literal for the 'Results' containment reference list feature.

### CONSTRAINT_TEST

    static final org.eclipse.emf.ecore.EClass CONSTRAINT_TEST

  The meta object literal for the '`Constraint Test`' class.

  See Also:
    `ConstraintTestImpl`, `AresPackageImpl.getConstraintTest()`

### CONSTRAINT_TEST__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference CONSTRAINT_TEST__CONSTRAINT

  The meta object literal for the 'Constraint' reference feature.

### CONSTRAINT_TEST__ISSUE

    static final org.eclipse.emf.ecore.EAttribute CONSTRAINT_TEST__ISSUE

  The meta object literal for the 'Issue' attribute feature.

### CONSTRAINT_TEST__ACTUAL_VALUE

    static final org.eclipse.emf.ecore.EAttribute CONSTRAINT_TEST__ACTUAL_VALUE

  The meta object literal for the 'Actual Value' attribute feature.

### CONSTRAINT_TEST__FAILURE

    static final org.eclipse.emf.ecore.EAttribute CONSTRAINT_TEST__FAILURE

  The meta object literal for the 'Failure' attribute feature.

### RUN_SET

    static final org.eclipse.emf.ecore.EClass RUN_SET

  The meta object literal for the '`Run Set`' class.

  See Also:
    `RunSetImpl`, `AresPackageImpl.getRunSet()`

### RUN_SET__RESULT

    static final org.eclipse.emf.ecore.EAttribute RUN_SET__RESULT

  The meta object literal for the 'Result' attribute feature.

### RUN_SET__STARTED

    static final org.eclipse.emf.ecore.EAttribute RUN_SET__STARTED

  The meta object literal for the 'Started' attribute feature.

### RUN_SET__FINISHED

    static final org.eclipse.emf.ecore.EAttribute RUN_SET__FINISHED

  The meta object literal for the 'Finished' attribute feature.

### RUN_SET__RUNS

    static final org.eclipse.emf.ecore.EReference RUN_SET__RUNS

  The meta object literal for the 'Runs' containment reference list feature.

### RESULT_TYPE

    static final org.eclipse.emf.ecore.EEnum RESULT_TYPE

  The meta object literal for the '`Result Type`' enum.

  See Also:
    `ResultType`, `AresPackageImpl.getResultType()`

### ISSUE

    static final org.eclipse.emf.ecore.EEnum ISSUE

  The meta object literal for the '`Issue`' enum.

  See Also:
    `Issue`, `AresPackageImpl.getIssue()`